[Numpy-discussion] old-Numeric: OverflowError on exp(-760)

Sebastian Haase haase at msg.ucsf.edu
Mon Jun 12 16:32:12 CDT 2006

I'm using Konrad Hinsen's LeastSquares.leastSquaresFit for a convenient way to 
do a non linear minimization. It uses the "old" Numeric module.
But since I upgraded to Numeric 24.2 I get OverflowErrors that I tracked down 
>>> Numeric.exp(-760.)
Traceback (most recent call last):
  File "<input>", line 1, in ?
OverflowError: math range error

From numarray I'm used to getting this:
>>> na.exp(-760)

Mostly I'm confused because my code worked before I upgraded to version 24.2.

Thanks for any hints on how I could revive my code...
-Sebastian Haase

More information about the Numpy-discussion mailing list